Subject: RE: vol skew
From: [email-masked]
To: [email-masked]
Date: Mon, 14 Jan 2002 11:13:46 -0800 (PST)

Yes, thanks

 -----Original Message-----
From: 	Jones, Brad  
Sent:	Monday, January 14, 2002 12:22 PM
To:	May, Larry
Subject:	FW: vol skew

Larry,
Hope you have been taking it easy.  I know I have been.  I am writing to ask if you would like to have pipe options valued with vol skew (the change that we put on hold in oct) for Netco.

Brad

 -----Original Message-----
From: 	Wong, Jeremy  
Sent:	Monday, January 14, 2002 11:17 AM
To:	Jones, Brad
Cc:	Chen, Sandy (Ying)
Subject:	FW: vol skew

Brad:

In regard to the change in PortCalc to handle volatility skew for Larry's basis options, Larry requested to have the change put on hold.
Could you please check with him if he would like this change in production for NetCo?

Thanks,
Jeremy

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Monday, November 12, 2001 2:08 PM
To:	Wong, Jeremy
Subject:	FW: vol skew

 -----Original Message-----
From: 	Jones, Brad  
Sent:	Monday, November 12, 2001 2:02 PM
To:	Song, Jennifer
Subject:	RE: vol skew

Jennifer,
I have talked to Larry and he would like to wait a while before he puts the vol skew revision into production.  I will let you know when we are ready for it.

brad

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Monday, November 12, 2001 11:51 AM
To:	Jones, Brad
Subject:	RE: vol skew

Brad,

The new post-id is 1397232. Thanks.
Jennifer
x35248

 -----Original Message-----
From: 	Jones, Brad  
Sent:	Monday, November 12, 2001 11:43 AM
To:	Song, Jennifer
Subject:	RE: vol skew

Can you please copy post id # 1394485 and calc it with the volatility adjustments.

I will talk to larry today about these changes today.

brad

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Monday, November 12, 2001 9:23 AM
To:	Jones, Brad
Subject:	RE: vol skew

Brad,

The database was rebounced during weekend. So you have to close your runm and reopen it. The post-id is in production.

Jennifer
x35248

 -----Original Message-----
From: 	Jones, Brad  
Sent:	Monday, November 12, 2001 8:39 AM
To:	Song, Jennifer
Subject:	RE: vol skew

Jennifer,
I could not pull up anything on post-id 1391544.  I tried it in production port calc and test port calc.  Can you please take a look at it for me.

brad

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Wednesday, November 07, 2001 10:42 AM
To:	Jones, Brad
Subject:	RE: vol skew

Please look at post-id 1391544.

Jennifer
x35248

 -----Original Message-----
From: 	Jones, Brad  
Sent:	Wednesday, November 07, 2001 10:13 AM
To:	Song, Jennifer
Subject:	RE: vol skew

Please test deal #s
YC2929.1
YB6452.1
YB7841.5

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Wednesday, November 07, 2001 10:10 AM
To:	Jones, Brad
Subject:	RE: vol skew

Yes , please.
Jennifer
x35248

 -----Original Message-----
From: 	Jones, Brad  
Sent:	Wednesday, November 07, 2001 10:06 AM
To:	Song, Jennifer
Subject:	RE: vol skew

Also I would like to test a few individual deals.  Should I send you the deal # and let you run minibooks?

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Wednesday, November 07, 2001 9:43 AM
To:	Jones, Brad
Subject:	RE: vol skew

Brad,

I used the new port_calc to run the full book, and the post-id is 1391379. Please take a look at it and let us know your feedback. If you need any further testing, please do not hesitate to call me. Thanks.

Jennifer
x35248

 -----Original Message-----
From: 	Jones, Brad  
Sent:	Tuesday, November 06, 2001 12:56 PM
To:	Song, Jennifer
Subject:	RE: vol skew

Can we please test - 1386963

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Tuesday, November 06, 2001 12:08 PM
To:	Jones, Brad
Subject:	RE: vol skew

Brad,

Jeremy has a new port_calc ready for test. This new version will apply vol skew on basis options correctly. 
I calculated a mini-book on deal 'YG8699.1'. The post-id is 1387936. Please take a look at it.

If you have any other post-ids you want to test with this new version, please let me know, so I can run this new port_calc for you.

Thanks,
Jennifer
x35248
 -----Original Message-----
From: 	Jones, Brad  
Sent:	Tuesday, November 06, 2001 11:45 AM
To:	Song, Jennifer
Subject:	RE: vol skew

Thank you very much, that is exactly what I wanted to know.
Yes if the IF vol curve exists, use IF-vol + NG skew, if IF vol curve does not exsist, use NG vol + NG skew

 -----Original Message-----
From: 	Song, Jennifer  
Sent:	Tuesday, November 06, 2001 11:34 AM
To:	Jones, Brad
Subject:	vol skew

Brad, 

I did two post-ids. I used the current production port_calc (3.15) to calculate 1389454 and I used the old version(3.14) to calculate 1389464. I do see a P& L change on 1389454.

I debugged it and found a bunch of deals with changes in P& L value. Enclosed is a partial list of those deals. The reasons are: 

In old version(3.14), we calculate volatility of basis options like this

1) we calculate the NG volatility
2) If it's a basis option, we fetch the IF- volatility curve. If IF- volatility curve exists, we use IF-volatility curve.
3) If IF- volatility curve does not exist, we still use NG volatility.

In the current production version(3.15), we calculate volatility of basis options like this

1) we calculate the NG volatility + NG vol skew. (The NG vol skew is based on NG price - fixed price)
2) If it's a basis option, we fetch the IF-volatility curve. If IF-volatility curve exists, we use IF- volatility curve.
3) If IF-volatility curve does not exist, we still use NG volatility + NG vol skew which was calculated in step 1).

The bug in the currenct production portcalc is that in step 2), we didn't apply vol skew upon IF vol. In our new fix, this bug will be fixed.

However, the IF volatility curves of those enclosed deals do not exist. So the current production version (3.15) used the NG vol + NG vol skew for those deals. The old version (3.14) used the NG vol for those deals. Thus you see P&L change in these two versions.

Also we'd like to confirm with you that in the new fix, if the IF vol curve does not exist, you still want us to use NG vol + NG vol skew instead of erroring out. If the IF vol curve exists, we will use IF vol + NG vol skew.

Thanks,
Jennifer

Jinwen (Jennifer) Song
713-853-5248
[email-masked]

 << File: basis.xls >>